start_passkey_login
POST
/api/v1/auth/passkeys/login/start
const url = 'https://example.com/api/v1/auth/passkeys/login/start';const options = { method: 'POST', headers: {'Content-Type': 'application/json'}, body: '{"conditional":true,"identifier":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}use serde_json::json;use reqwest;
#[tokio::main]pub async fn main() { let url = "https://example.com/api/v1/auth/passkeys/login/start";
let payload = json!({ "conditional": true, "identifier": "example" });
let mut headers = reqwest::header::HeaderMap::new(); headers.insert("Content-Type", "application/json".parse().unwrap());
let client = reqwest::Client::new(); let response = client.post(url) .headers(headers) .json(&payload) .send() .await;
let results = response.unwrap() .json::<serde_json::Value>() .await .unwrap();
dbg!(results);}curl --request POST \ --url https://example.com/api/v1/auth/passkeys/login/start \ --header 'Content-Type: application/json' \ --data '{ "conditional": true, "identifier": "example" }'Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
Start a passkey login challenge.
object
conditional
boolean | null
identifier
string | null
Examplegenerated
{ "conditional": true, "identifier": "example"}Responses
Section titled “Responses”Passkey login challenge
Media typeapplication/json
统一 API 响应格式
成功: { "code": "success", "msg": "", "data": {...} }
失败: { "code": "auth.credentials_failed", "msg": "Invalid Credentials" }
object
Example
{ "code": "success"}Invalid credentials